# TODO
# - take french bitstring.3 from fcron?
Summary:	Utility functions from BSD systems
Summary(pl.UTF-8):	Funkcje narzędziowe z systemów BSD
Name:		libbsd
Version:	0.10.0
Release:	1
License:	BSD, MIT (depending on part)
Group:		Libraries
Source0:	https://libbsd.freedesktop.org/releases/%{name}-%{version}.tar.xz
# Source0-md5:	ead96d240d02faa5b921c0aa50c812b5
URL:		https://libbsd.freedesktop.org/
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides useful functions commonly found on BSD systems,
and lacking on others like GNU systems, thus making it easier to port
projects with strong BSD origins, without needing to embed the same
code over and over again on each project.

%description -l pl.UTF-8
Ta biblioteka udostępnia funkcje zwykle spotykane w systemach BSD, a
nie występujące na innych, takich jak systemy GNU. Dzięki temu ułatwia
portowanie projektów mających silne korzenie BSD bez potrzeby
osadzania ciągle tego samego kodu w każdym projekcie.

%package devel
Summary:	Header files for BSD library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki BSD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Conflicts:	glibc-devel < 6:2.19

%description devel
Header files for BSD library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki BSD.

%package static
Summary:	Static BSD library
Summary(pl.UTF-8):	Statyczna biblioteka BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	glibc-devel < 6:2.19

%description static
Static BSD library.

%description static -l pl.UTF-8
Statyczna biblioteka BSD.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libbsd.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libbsd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbsd.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbsd.so
%{_libdir}/libbsd-ctor.a
%{_includedir}/bsd
%{_pkgconfigdir}/libbsd.pc
%{_pkgconfigdir}/libbsd-ctor.pc
%{_pkgconfigdir}/libbsd-overlay.pc
%{_mandir}/man3/arc4random*.3*
%{_mandir}/man3/be16dec.3*
%{_mandir}/man3/be16enc.3*
%{_mandir}/man3/be32dec.3*
%{_mandir}/man3/be32enc.3*
%{_mandir}/man3/be64dec.3*
%{_mandir}/man3/be64enc.3*
%{_mandir}/man3/bit_alloc.3*
%{_mandir}/man3/bit_clear.3*
%{_mandir}/man3/bit_decl.3*
%{_mandir}/man3/bit_ffc.3*
%{_mandir}/man3/bit_ffs.3*
%{_mandir}/man3/bit_nclear.3*
%{_mandir}/man3/bit_nset.3*
%{_mandir}/man3/bit_set.3*
%{_mandir}/man3/bitstring.3*
%{_mandir}/man3/bitstr_size.3*
%{_mandir}/man3/bit_test.3*
%{_mandir}/man3/byteorder.3*
%{_mandir}/man3/closefrom.3*
%{_mandir}/man3/dehumanize_number.3*
%{_mandir}/man3/errc.3*
%{_mandir}/man3/expand_number.3*
%{_mandir}/man3/explicit_bzero.3*
%{_mandir}/man3/fgetln.3*
%{_mandir}/man3/fgetwln.3*
%{_mandir}/man3/flopen.3*
%{_mandir}/man3/fmtcheck.3*
%{_mandir}/man3/fparseln.3*
%{_mandir}/man3/fpurge.3*
%{_mandir}/man3/funopen.3*
%{_mandir}/man3/getbsize.3*
%{_mandir}/man3/getmode.3*
%{_mandir}/man3/getpeereid.3*
%{_mandir}/man3/getprogname.3*
%{_mandir}/man3/heapsort.3*
%{_mandir}/man3/humanize_number.3*
%{_mandir}/man3/le16dec.3*
%{_mandir}/man3/le16enc.3*
%{_mandir}/man3/le32dec.3*
%{_mandir}/man3/le32enc.3*
%{_mandir}/man3/le64dec.3*
%{_mandir}/man3/le64enc.3*
%{_mandir}/man3/LIST_*.3*
%{_mandir}/man3/md5.3**
%{_mandir}/man3/mergesort.3*
%{_mandir}/man3/nlist.3*
%{_mandir}/man3/pidfile.3*
%{_mandir}/man3/pidfile_close.3*
%{_mandir}/man3/pidfile_open.3*
%{_mandir}/man3/pidfile_remove.3*
%{_mandir}/man3/pidfile_write.3*
%{_mandir}/man3/queue.3**
%{_mandir}/man3/radixsort.3*
%{_mandir}/man3/RB_*.3*
%{_mandir}/man3/readpassphrase.3*
%{_mandir}/man3/reallocarray.3*
%{_mandir}/man3/reallocf.3*
%{_mandir}/man3/setmode.3*
%{_mandir}/man3/setproctitle.3*
%{_mandir}/man3/setproctitle_init.3*
%{_mandir}/man3/setprogname.3*
%{_mandir}/man3/sl_add.3*
%{_mandir}/man3/sl_delete.3*
%{_mandir}/man3/sl_find.3*
%{_mandir}/man3/sl_free.3*
%{_mandir}/man3/sl_init.3*
%{_mandir}/man3/SLIST_*.3*
%{_mandir}/man3/SPLAY_*.3*
%{_mandir}/man3/sradixsort.3*
%{_mandir}/man3/STAILQ_*.3*
%{_mandir}/man3/stringlist.3*
%{_mandir}/man3/strlcat.3*
%{_mandir}/man3/strlcpy.3*
%{_mandir}/man3/strmode.3*
%{_mandir}/man3/strnstr.3*
%{_mandir}/man3/strnunvis.3*
%{_mandir}/man3/strnvis.3*
%{_mandir}/man3/strtoi.3*
%{_mandir}/man3/strtonum.3*
%{_mandir}/man3/strtou.3*
%{_mandir}/man3/strunvis.3*
%{_mandir}/man3/strvis.3*
%{_mandir}/man3/strvisx.3*
%{_mandir}/man3/TAILQ_*.3*
%{_mandir}/man3/timeradd.3*
%{_mandir}/man3/timerclear.3*
%{_mandir}/man3/timercmp.3*
%{_mandir}/man3/timerisset.3*
%{_mandir}/man3/timersub.3*
%{_mandir}/man3/timespecadd.3*
%{_mandir}/man3/timespecclear.3*
%{_mandir}/man3/timespeccmp.3*
%{_mandir}/man3/timespecisset.3*
%{_mandir}/man3/timespecsub.3*
%{_mandir}/man3/TIMESPEC_TO_TIMEVAL.3*
%{_mandir}/man3/timeval.3*
%{_mandir}/man3/TIMEVAL_TO_TIMESPEC.3*
%{_mandir}/man3/tree.3*
%{_mandir}/man3/unvis.3*
%{_mandir}/man3/vis.3*
%{_mandir}/man3/wcslcat.3*
%{_mandir}/man3/wcslcpy.3*
%{_mandir}/man7/libbsd.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/libbsd.a
%changelog
* Sun Apr 05 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libbsd.git;a=log;h=master

* Wed Feb 05 2020 Jan Palus <atler@pld-linux.org> da9ff4d
- up to 0.10.0

* Wed Oct 10 2018 Adam Gołębiowski <adamg@pld-linux.org> b0d80be
- updated to 0.9.1

* Sun Feb 11 2018 Jakub Bogusz <qboosh@pld-linux.org> 6d650b8
- updated to 0.8.7

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c2220e
- up to 0.8.6

* Sun Feb 26 2017 Marcin Banasiak <marcin.banasiak@gmail.com> ccfd83c
- Update to 0.8.3

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 48add5c
- removed obsolete notes

* Sun Feb 28 2016 Jakub Bogusz <qboosh@pld-linux.org> 41d81f1
- updated to 0.8.2

* Wed Dec 02 2015 Jakub Bogusz <qboosh@pld-linux.org> bb56efd
- updated to 0.8.0
- install as libbsd (conflicts with glibc-devel < 2.19)

* Sun Mar 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 9abe33c
- updated glibc comment

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> a7bfc69
- can't see libbsd.a in glibc

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 8584eef
- bitstring.3 conflict with fcron

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> dc338c0
- x32 rebuild
- release 2 (by relup.sh)

* Sat Aug 02 2014 Jakub Bogusz <qboosh@pld-linux.org> cead7c7
- updated to 0.7.0

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> dbd7337
- updated to 0.6.0

* Thu Jul 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 46deb46
- updated to 0.5.2

* Sun Jul 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> eeef918
- updated to 0.4.2

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> d507cb1
- updated to 0.4.1

* Fri Jun 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 10e5688
- updated to 0.4.0

* Tue Oct 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 71bee83
- new; library available for linking renamed to avoid clash with libbsd.a from glibc

